Bug 1117966 - rsnapshot.conf using deprecated "interval" instead of new "retain" keyword
Summary: rsnapshot.conf using deprecated "interval" instead of new "retain" keyword
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rsnapshot
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Steven Roberts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 17:34 UTC by Jonathan Leung-Nilsson
Modified: 2017-02-07 21:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 21:54:38 UTC


Attachments (Terms of Use)

Description Jonathan Leung-Nilsson 2014-07-09 17:34:28 UTC
Description of problem: The /etc/rsnapshot.conf file installed by default uses the "interval" keyword instead of "retain" when defining the backup intervals and retention rules. This is on line 97-100. It isn't a show-stopper problem because "interval" is merely deprecated. However, the man page for rsnapshot recommends using the "retain" keyword, so it makes sense for the config file installed by default to agree with the man page and use the new keyword.


Version-Release number of selected component (if applicable): rsnapshot-1.3.1


How reproducible: 100%


Steps to Reproduce:
1. yum install rsnapshot
2. egrep "^(interval|retain)" /etc/rsnapshot.conf
3. 

Actual results:
interval        hourly  6
interval        daily   7
interval        weekly  4


Expected results:
retain          hourly  6
retain          daily   7
retain          weekly  4

Additional info:

The github repository for rsnapshot already has the correct keyword usage defined in ./rsnapshot.conf.default.in so perhaps you just need to get updated RPMs added to EPEL. I'm not sure how all that works or who is responsible for it. I can provide RPMs for el5 and el6 of both i386 and x86_64 architectures, if needed.

Comment 1 Steven Roberts 2014-07-18 03:37:11 UTC
I would love to put out a new version of rsnapshot to epel if the rsnapshot maintainers would release a new version.

several folks have asked for one.  I would recommended you chime in on the rsnapshot mailing list.  maybe with some more voices they will put out a new version...

the better sample config file is one of many things a new release would bring

Comment 2 James Hogarth 2016-10-26 11:16:04 UTC
I know this is a fairly old bug but as a heads up, if this still affects you, 1.4.2 is in epel-testing now and it has changed the keyword in the example config

Comment 3 Fedora Update System 2016-12-20 09:34:13 UTC
rsnapshot-1.4.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3bffdb78dd

Comment 4 Fedora Update System 2016-12-20 09:34:24 UTC
rsnapshot-1.4.2-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-220a6d678c

Comment 5 Fedora Update System 2016-12-20 09:34:31 UTC
rsnapshot-1.4.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-386a6a5975

Comment 6 Fedora Update System 2016-12-20 20:47:31 UTC
rsnapshot-1.4.2-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-220a6d678c

Comment 7 Fedora Update System 2016-12-20 20:47:37 UTC
rsnapshot-1.4.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-386a6a5975

Comment 8 Fedora Update System 2016-12-20 20:49:15 UTC
rsnapshot-1.4.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3bffdb78dd

Comment 9 Fedora Update System 2017-01-05 00:18:49 UTC
rsnapshot-1.4.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-05 04:20:07 UTC
rsnapshot-1.4.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-05 17:19:30 UTC
rsnapshot-1.4.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.